Split Device

Detach a shadow device from its primary

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Detach a shadow device from its primary. The shadow becomes a standalone device again.

Authorization

This endpoint requires Authorization.

Path Parameters

KeyTypeDescriptionRequired
device_idstringThe primary device ID.Yes

Request Body

KeyTypeDescriptionRequired
shadow_device_idstringID of the shadow device to detach from this primary.Yes

{
	"shadow_device_id": "8f2c1e4a-..."
}

Response

Returns { "success": true } on success.

{
	"success": true
}

Errors

StatusExampleMeaning
401Not authorizedMissing or invalid Authorization key.
422device is not a shadow of this primaryThe device is not a shadow of the given primary.

Path Params
string
required

The primary device ID.

Body Params
string
required

ID of the shadow device to detach from this primary.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json